about summary refs log tree commit diff
diff options
context:
space:
mode:
authorassafcarlsbad <assaf.carlsbad@gmail.com>2020-05-04 11:14:49 +0300
committerGitHub <noreply@github.com>2020-05-04 10:14:49 +0200
commit2d126dc750be641efa49e662d5ea9a9e76a6805d (patch)
treed956020cad857c8397f73865f989a885e03ac764
parent13a32e9595c09d14f3c5178e7480a3bb3b6c2587 (diff)
downloadafl++-2d126dc750be641efa49e662d5ea9a9e76a6805d.tar.gz
Fix Unicorn support build script (#349)
* Fix Unicorn support build script for WSL.

Co-authored-by: Dominik Maier <domenukk@gmail.com>
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index 0961d6e1..aeb26945 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -209,9 +209,9 @@ cd ../samples/simple || exit 1
 
 # Run afl-showmap on the sample application. If anything comes out then it must have worked!
 unset AFL_INST_RATIO
-echo 0 | ../../../afl-showmap -U -m none -t 2000 -q -o .test-instr0 -- $PYTHONBIN simple_test_harness.py ./sample_inputs/sample1.bin || exit 1
+echo 0 | ../../../afl-showmap -U -m none -t 2000 -q -o ./.test-instr0 -- $PYTHONBIN ./simple_test_harness.py ./sample_inputs/sample1.bin || exit 1
 
-if [ -s .test-instr0 ]
+if [ -s ./.test-instr0 ]
 then
 
   echo "[+] Instrumentation tests passed. "
@@ -227,6 +227,6 @@ else
 
 fi
 
-rm -f .test-instr0
+rm -f ./.test-instr0
 
 exit $RETVAL